Sorry, you need to enable JavaScript to visit this website.

Graphics Installer 1.1.0 for Ubuntu 14.10 64-bit error Distribution not supported on Intel I7-4770 machine

1 post / 0 new
Roei Goldblat's picture
Starter
Roei Goldblat

Jan 18, 2016 - 05:30am

  • Hi,
    I am trying to install: Graphics Installer 1.1.0 for Ubuntu 14.10, 64-bit.
    I have Linux Ubuntu 14.10 "utopic" on an Intel I7-4770 machine.
    I am getting this error when installing: Distribution not supported.

    This is the installer dialog window after trying to install:
    Checking if Intel graphics card available... OK
    Retrieving information from 01.org... OK
    Checking distribution... Failed

    This is what I see in the terminal window:
    MY-MACHINE$ ./intel-linux-graphics-installer
    (intel-linux-graphics-installer:12881): Gtk-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Checking if Intel graphics card available...
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Retrieving information from 01.org...
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Checking distribution...
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Checking kernel version...
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Checking available repositories...
    diagnostics-view.c/new_diagnostic: Adding diagnostic for Checking package manager status...
    No LSB modules are available.
    polkit: Fetching org.01.linuxgraphics.installer permissions...
    polkit: org.01.linuxgraphics.installer; Your system does not have the 'org.01.linuxgraphics.installer' PolicyKit files installed. Please check your installation
    diagnostics-view.c/diagnostics_view_start: Running diagnostic Checking if Intel graphics card available...
    diagnostics-view.c/diagnostics_view_start: Running diagnostic Retrieving information from 01.org...
    {
      errors: (nil)
      sources: []
      keys: []
      docs: []
      INSTALL: []
      install: []
      upgrade: []
    }
    diagnostics-view.c/diagnostics_view_start: Running diagnostic Checking distribution...
     package_manager_is_distro_supported
     Configuration : Loading …  [   0 % ]
    {
      errors: (nil)
      sources: []
      keys: []
      docs: []
      INSTALL: []
      install: []
      upgrade: []
    }
     package_manager_is_distro_supported
     Configuration : Loaded  [  80 % ]
     package_manager_is_distro_supported
     Configuration : Testing …  [  80 % ]
     package_manager_is_distro_supported
     Configuration : Complete  [  ]
    main-window.c/on_diagnostics_finished: Diagnostics finished with an error

    Any suggestions?

    Jan 18, 2016 - 05:30am
  • Two things of interest here: It's complaining about missing policykit files,
    which _should_ be part of the intel-linux-graphics-installer package.

    What does dpkg -L <name of the installer package> say?

    The other thing is whether it's fetching a config file with a section describing
    what it needs to do on 14.10: In your home directory there should be a file
    called .ilg-config which should contain a section starting [Ubuntu wily]

    Is this the case?

    Jan 19, 2016 - 08:45am